---
title: "Delete Group"
slug: "delete-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Group

Post/api/v1/groups.delete

Delete a private room.

The following permissions are required:

- `delete-p`: To delete a private channel.
- `delete-team-group`: To delete a private channel that is part of a team.

### Changelog

| Version | Description |
| --- | --- |
| 0.71.0 | Removed `group` property |
| 0.49.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='41cea47c-5ea3-48a4-a161-0356f460524b'>application/json</option>
</select>object  roomIdstring    

Enter the room ID. This parameter is required if no `roomName` is provided. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX
roomNamestring    

Enter the room name. This parameter is required if no `roomId` is provided.

Exampleprivate-abc

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='421817f7-edcf-4d3c-bbab-b8c3ab3d6fb9'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='79a3fe28-261a-4e56-b780-733ccd609437'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='11c93046-cdb4-472d-b290-32a962046f29'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a090fa2a-b176-4a4e-b7b2-afd48e3e61f6'>No permission</option>
</select>No permission

```json
{
  "success": false,
  "error": "Not allowed [error-not-allowed]",
  "errorType": "error-not-allowed",
  "details": {
    "method": "eraseRoom"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='4fc5c19b-4753-47a0-8e09-552c8ab1ed00'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5ed689a0-2a92-4aa6-ab48-ad4436f7ae3a'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
